curl --request GET \
--url https://api.atlas.co/functions/v1/invoices \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"object": "invoice",
"number": "<string>",
"customer": "<string>",
"subscription": "<string>",
"status": "draft",
"collection_method": "<string>",
"currency": "<string>",
"amount_due": 123,
"amount_paid": 123,
"amount_remaining": 123,
"subtotal": 123,
"tax": 123,
"total": 123,
"description": "<string>",
"due_date": 123,
"period_start": 123,
"period_end": 123,
"lines": {
"object": "list",
"data": [
{
"id": "<string>",
"object": "line_item",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"price": {
"id": "<string>",
"product": "<string>"
},
"quantity": 123,
"period": {
"start": 123,
"end": 123
}
}
]
},
"paid": true,
"paid_at": 123,
"voided_at": 123,
"hosted_invoice_url": "<string>",
"metadata": {},
"created": 123
}
],
"has_more": true,
"total_count": 123
}curl --request GET \
--url https://api.atlas.co/functions/v1/invoices \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"object": "invoice",
"number": "<string>",
"customer": "<string>",
"subscription": "<string>",
"status": "draft",
"collection_method": "<string>",
"currency": "<string>",
"amount_due": 123,
"amount_paid": 123,
"amount_remaining": 123,
"subtotal": 123,
"tax": 123,
"total": 123,
"description": "<string>",
"due_date": 123,
"period_start": 123,
"period_end": 123,
"lines": {
"object": "list",
"data": [
{
"id": "<string>",
"object": "line_item",
"amount": 123,
"currency": "<string>",
"description": "<string>",
"price": {
"id": "<string>",
"product": "<string>"
},
"quantity": 123,
"period": {
"start": 123,
"end": 123
}
}
]
},
"paid": true,
"paid_at": 123,
"voided_at": 123,
"hosted_invoice_url": "<string>",
"metadata": {},
"created": 123
}
],
"has_more": true,
"total_count": 123
}API key (sk_test_* or sk_live_*)
x <= 100draft, open, paid, void, uncollectible, past_due